Bug 262635 - devel/glib20: update to 2.72.2
Summary: devel/glib20: update to 2.72.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://gitlab.gnome.org/GNOME/glib/-...
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2022-03-17 21:11 UTC by Jan Beich
Modified: 2022-06-25 00:46 UTC (History)
5 users (show)

See Also:
tcberner: maintainer-feedback+
antoine: exp-run+


Attachments
v1 (apply via "git am") (7.13 KB, patch)
2022-03-17 21:11 UTC, Jan Beich
no flags Details | Diff
2.72.0 (apply via "git am") (7.15 KB, patch)
2022-03-19 12:20 UTC, Jan Beich
no flags Details | Diff
2.72.2 (apply via "git am") (9.34 KB, patch)
2022-06-16 02:04 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2022-03-17 21:11:53 UTC
Created attachment 232533 [details]
v1 (apply via "git am")
Comment 1 Jan Beich freebsd_committer 2022-03-17 21:14:12 UTC
Daniel, can you check tests and/or adjust the patch? This removes one of the files added by bug 257623.
Comment 2 Antoine Brodin freebsd_committer 2022-03-19 09:20:58 UTC
Can you refresh the patch?

error: patch failed: devel/glib20/Makefile:1
error: devel/glib20/Makefile: patch does not apply
Comment 3 Jan Beich freebsd_committer 2022-03-19 12:20:09 UTC
Created attachment 232572 [details]
2.72.0 (apply via "git am")

Rebase after PORTREVISION bump in ports 522332dbc718
Comment 4 Daniel Engberg freebsd_committer 2022-03-20 19:49:34 UTC
Hi Jan,
I'm a bit busy right now but I'll try to get to it by the end of next week.
Comment 7 unrelentingtech 2022-06-16 01:20:31 UTC
The g_warning_once clang issue that caused the breakage was fixed in https://gitlab.gnome.org/GNOME/glib/-/issues/2625 (2.73.0, also exists as a backport to 2.72.x)
Comment 8 Jan Beich freebsd_committer 2022-06-16 02:04:04 UTC
Created attachment 234715 [details]
2.72.2 (apply via "git am")

Addresses comment 7.
Comment 9 Tobias C. Berner freebsd_committer 2022-06-16 04:04:56 UTC
Moin moin 

Could you do glib-networking in the same patch so they are synchronized?


mfg Tobias
Comment 10 Jan Beich freebsd_committer 2022-06-16 07:44:45 UTC
(In reply to Tobias C. Berner from comment #9)
glib-networking is already at 2.72.0 and it's the latest atm.

See also https://gitlab.gnome.org/GNOME/glib-networking/-/tags
Comment 11 Tobias C. Berner freebsd_committer 2022-06-16 08:49:09 UTC
(In reply to Jan Beich from comment #10)
You're right... even more reason to move this along quickly.

LGTM after the exp-run.
Comment 12 Antoine Brodin freebsd_committer 2022-06-24 20:41:05 UTC
Exp-run looks fine
Comment 13 commit-hook freebsd_committer 2022-06-25 00:45:43 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=899d32b9f21c4c6d2c09acb61d12ee0d7f3945f6

commit 899d32b9f21c4c6d2c09acb61d12ee0d7f3945f6
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-03-17 15:01:31 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-06-25 00:05:36 +0000

    devel/glib20: update to 2.72.2

    Changes:        https://gitlab.gnome.org/GNOME/glib/-/blob/2.72.2/NEWS
    PR:             262635
    Reported by:    Repology
    Exp-run by:     antoine
    Approved by:    tcberner

 devel/glib20/Makefile                              |  5 +-
 devel/glib20/distinfo                              |  6 +--
 .../files/patch-gio_tests_meson.build (gone)       | 61 ----------------------
 devel/glib20/files/patch-glib_meson.build          |  6 +--
 devel/glib20/pkg-plist                             | 20 +++++--
 5 files changed, 25 insertions(+), 73 deletions(-)